/*Fuentes*/
@font-face{
    font-family: "Epilogue";
    src: url('../../fonts/Epilogue.ttf');
    font-weight: normal;
    font-style: normal;
}

/*Header y Generales*/

*{
    text-decoration: none;
    margin: 0px;
    padding: 0px;
}

body{
    background-color: white;
    height: 100%;
}

.wrap{
    width: 100%;
    margin: 0px auto;
}

#header{
    display: grid;
    align-items: center;
    grid-template-columns: 70% 30%;

    height: 90px;
    width: 100%;
    font-family: "Epilogue";
    border-bottom: 1px solid rgb(223, 223, 223);

}

#tittle{
    flex-grow: 1;
    flex-basis: 60%;
    padding: 10px;
    padding-left: 20px;

    font-size: 13px;
    color: #282828;
}

#menu{
    flex-grow: 1;
    flex-basis: 30%;
    height: 100%;
}

#menu > ul{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;

    height: 100%;
    list-style: none;
    margin-right: 20px;
}

#menu ul li a{
    color: #E752AE;
    font-weight: bold;
    position: relative;
}

/*Efecto hover menu*/

#menu ul li a::before{
    content: "";
    position: absolute;
    width: 100%;
    height: 3px;
    border-radius: 4px;
    background-color: #E752AE;
    bottom: 0;
    left: 0;
    transform-origin: right;
    transform: scaleX(0);
    transition: transform 0.2s ease-in-out;
}

#menu ul li a:hover::before{
    transform-origin: left;
    transform: scaleX(1);
}

/*responsive menu*/

@media (max-width: 1025px){

    #header{
        grid-template-columns: 60% 40%;
    }

    #menu > ul {
        justify-content: space-between;
    }
}

@media (max-width: 780px){
    #header{
        display: grid;
        grid-template-columns: none;
        grid-template-rows: repeat(2, auto);
    }

    #tittle{
        display: grid;
        justify-content: center;
    }

    #menu-grid{
        display: grid;
        grid-template-columns: repeat(4, auto);
        justify-content: center;
        align-content: center;
        padding-left: 20px;
        padding-right: 20px;
    }

    #menu > ul {
        margin-left: 20px;
    }
}